Loading...
Searching...
No Matches
user_type_hooks Struct Reference

## Public Attributes

char * | name
char | gc_free_once
LISP(* | gc_relocate )(LISP)
void(* | gc_scan )(LISP)
LISP(* | gc_mark )(LISP)
void(* | gc_free )(LISP)
void(* | gc_clear )(LISP)
void(* | prin1 )(LISP, FILE *)
void(* | print_string )(LISP, char *)
LISP(* | leval )(LISP, LISP *, LISP *)
long(* | c_sxhash )(LISP, long)
LISP(* | fast_print )(LISP, LISP)
LISP(* | fast_read )(int, LISP)
LISP(* | equal )(LISP, LISP)

## Detailed Description

Definition at line 40 of file siodp.h.

## Member Data Documentation

## name

char* user_type_hooks::name

Definition at line 42 of file siodp.h.

## gc_free_once

char user_type_hooks::gc_free_once

Definition at line 43 of file siodp.h.

## gc_relocate

LISP(* user_type_hooks::gc_relocate) (LISP)

Definition at line 44 of file siodp.h.

## gc_scan

void(* user_type_hooks::gc_scan) (LISP)

Definition at line 45 of file siodp.h.

## gc_mark

LISP(* user_type_hooks::gc_mark) (LISP)

Definition at line 46 of file siodp.h.

## gc_free

void(* user_type_hooks::gc_free) (LISP)

Definition at line 47 of file siodp.h.

## gc_clear

void(* user_type_hooks::gc_clear) (LISP)

Definition at line 48 of file siodp.h.

## prin1

void(* user_type_hooks::prin1) (LISP, FILE *)

Definition at line 49 of file siodp.h.

## print_string

void(* user_type_hooks::print_string) (LISP, char *)

Definition at line 50 of file siodp.h.

## leval

LISP(* user_type_hooks::leval) (LISP, LISP *, LISP *)

Definition at line 51 of file siodp.h.

## c_sxhash

long(* user_type_hooks::c_sxhash) (LISP, long)

Definition at line 52 of file siodp.h.

## fast_print

LISP(* user_type_hooks::fast_print) (LISP, LISP)

Definition at line 53 of file siodp.h.

## fast_read

LISP(* user_type_hooks::fast_read) (int, LISP)

Definition at line 54 of file siodp.h.

## equal

LISP(* user_type_hooks::equal) (LISP, LISP)

Definition at line 55 of file siodp.h.

The documentation for this struct was generated from the following file:

- siod/siodp.h